import { createSlice } from '@reduxjs/toolkit';
import { getModelElementsReducer } from '@/redux/modelElements/modelElements.reducers';
import { ModelElementsState } from '@/redux/modelElements/modelElements.types';

const initialState: ModelElementsState = {
  data: null,
  loading: 'idle',
  error: { name: '', message: '' },
};

export const modelElements = createSlice({
  name: 'modelElements',
  initialState,
  reducers: {},
  extraReducers: builder => {
    getModelElementsReducer(builder);
  },
});

export default modelElements.reducer;
