import { ModelsState } from '@/redux/models/models.types';
import { createSlice } from '@reduxjs/toolkit';
import { getModelsReducer, setModelVectorRenderingReducer } from './models.reducers';

const initialState: ModelsState = {
  data: [],
  loading: 'idle',
  error: { name: '', message: '' },
};

export const modelsSlice = createSlice({
  name: 'models',
  initialState,
  reducers: {
    setModelVectorRendering: setModelVectorRenderingReducer,
  },
  extraReducers: builder => {
    getModelsReducer(builder);
  },
});

export const { setModelVectorRendering } = modelsSlice.actions;

export default modelsSlice.reducer;
