import { createSelector } from '@reduxjs/toolkit';
import { rootSelector } from '@/redux/root/root.selectors';

export const shapesSelector = createSelector(rootSelector, state => state.shapes);

export const bioShapesSelector = createSelector(
  shapesSelector,
  shapes => shapes.bioShapesState.data,
);

export const lineTypesSelector = createSelector(
  shapesSelector,
  shapes => shapes.lineTypesState.data,
);

export const arrowTypesSelector = createSelector(
  shapesSelector,
  shapes => shapes.arrowTypesState.data,
);

export const shapeBySBOSelector = createSelector(
  [shapesSelector, (_state, shapeSBO: string): string => shapeSBO],
  (shapes, shapeSBO) =>
    (shapes?.bioShapesState.data || []).find(({ sboTerm }) => sboTerm === shapeSBO),
);
